Package com.google.gwt.xml.client

## Class DOMException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.gwt.xml.client.DOMException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class DOMException
      extends java.lang.RuntimeException

  Thrown when DOM exceptions occur. Two subclasses exist: `DOMNodeException` and `DOMParseException` which give more detailed information for DOM manipulation errors and parse errors, respectively. All `DOMExceptions` thrown in this package will be instances of one of those two classes.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected short` | `code` |
    `static short` | `INVALID_ACCESS_ERR` |
    `static short` | `INVALID_CHARACTER_ERR` |
    `static short` | `INVALID_MODIFICATION_ERR` |
    `static short` | `INVALID_STATE_ERR` |
    `static short` | `SYNTAX_ERR` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DOMException​(short code, java.lang.String message)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `short` | `getCode()` | This method gets the code of this `DOMException`.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INVALID_ACCESS_ERR

          public static final short INVALID_ACCESS_ERR

      See Also:
        Constant Field Values

    - #### INVALID_CHARACTER_ERR

          public static final short INVALID_CHARACTER_ERR

      See Also:
        Constant Field Values

    - #### INVALID_MODIFICATION_ERR

          public static final short INVALID_MODIFICATION_ERR

      See Also:
        Constant Field Values

    - #### INVALID_STATE_ERR

          public static final short INVALID_STATE_ERR

      See Also:
        Constant Field Values

    - #### SYNTAX_ERR

          public static final short SYNTAX_ERR

      See Also:
        Constant Field Values

    - #### code

          protected short code

  - ### Constructor Detail

    - #### DOMException

          public DOMException​(short code,
                              java.lang.String message)

  - ### Method Detail

    - #### getCode

          public short getCode()

      This method gets the code of this `DOMException`.
      Returns:
        the code of this `DOMException`